# vue3js-template-service
## 本项目是服务,包含处理逻辑,前端部分最好再弄个项目,区分开
## 1.单点登录
* 1.不需要登录就可以使用的接口: 请求函数的方法注解参数添加 description: 'ignore'即可

## controller 中 controllerCode 为 前端菜单管理中 route_name(路由名称的编码) 


## 2.注解
* checkPermissionCode(不需要了)
|注解名|类型|说明|
|:-:|:-:|:-:|
|roleCode|string|该接口权限所需标识 ${路由名称}.${功能}. 如果是query, 只写${路由名称},其他查询方法自己规定|


统一: 
  添加:create
  修改:update
  删除:delete
  自定义: 
    vue中的method(函数名) 要与 菜单中功能列表 的函数名对上----保证按钮正常判断
    method中调用的api的roleCode 需要与功能列表中的 code 能对应上: 
      e.g.: 更换 状态 只是点击 启用/禁用 不过用的是 修改接口 所以该接口是需要有 修改接口的权限 与 页面上可以使用该接口的按钮
  如果在功能列表中添加: 访问的api路径呢,到controller为止,就可以判断是否能使用
对于权限这里有的想法:
  按当前确定好的数据来看, 可以直接得出:
    1.某功能全路径的编码
  而当前用户需要检验用户编码时,一定能得到该用户所有权限编码(可以是全路径)
  然后在用 权限编码 核对
  那么现在主要就是 不知道 当前是哪个权限编码,如果可以确定这个权限编码,就可以在代理项目中处理权限问题
  也就是功能列表需要填写 
* dataRecord (应该不用了)
|注解名|类型|说明|
|:-:|:-:|:-:|
|before|string|获取原数据的函数名;该service下的函数名,纯自定义|
|after|string|获取新数据的函数名;该service下的函数名,纯自定义|